﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;
using Newtonsoft.Json;
using RecrownedAthenaeum.Serializable;

namespace RecrownedAthenaeum.Pipeline.TextureAtlas
{
    [ContentTypeWriter]
    class TextureAtlasWriter : ContentTypeWriter<TextureAtlasData>
    {
        public override string GetRuntimeReader(TargetPlatform targetPlatform)
        {
            return "RecrownedAthenaeum.Pipeline, TextureAtlasDataReader";
        }

        protected override void Write(ContentWriter output, TextureAtlasData value)
        {
            output.Write(JsonConvert.SerializeObject(value));
        }
    }
}
